SSH-KEYSIGN(8)

NAME
ssh-keysign - ssh helper program for hostbased authentication

SYNOPSIS
ssh-keysign

DESCRIPTION
ssh-keysign is used by ssh(1) to access the local host keys and generate the digital signature required during hostbased authentication with SSH protocol version 2. ssh-keysign is not intended to be invoked by the user, but from ssh(1). See ssh(1) and sshd(8) for more information about hostbased authentication.

FILES

/etc/ssh/ssh_host_dsa_key, /etc/ssh/ssh_host_rsa_key
    These files contain the private parts of the host keys used to generate the digital signature. They should be owned by root, readable only by root, and not accessible to others. Since they are readable only by root, ssh-keysign must be set-uid root if hostbased authentication is used.

SEE ALSO
ssh(1), ssh-keygen(1), sshd(8)

AUTHORS
Markus Friedl <markus@openbsd.org>

HISTORY
ssh-keysign first appeared in OpenBSD 3.2.